import { GridColumnSortOptions } from "./GridColumnSortOptions";
import { IgcGridColumnOptionsSimpleSectionBaseComponent } from "./igc-grid-column-options-simple-section-base-component";
import { ColumnSortDirection } from "./ColumnSortDirection";
export declare class IgcGridColumnSortOptionsComponent extends IgcGridColumnOptionsSimpleSectionBaseComponent {
    private _height;
    private _width;
    height: string;
    width: string;
    private _webComponentWrapper;
    private _webComponentRenderer;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): GridColumnSortOptions;
    readonly i: GridColumnSortOptions;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    private static _observedAttributesIgcGridColumnSortOptionsComponent;
    static readonly observedAttributes: string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    ascendingCaption: string;
    descendingCaption: string;
    sortDirection: ColumnSortDirection;
}
